ghc-exactprint-1.7.0.1: ExactPrint for GHC

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Haskell.GHC.ExactPrint.Dump

Contents

- Dumping ASTs

Synopsis

- showAstData :: Data a => BlankSrcSpan -> BlankEpAnnotations -> a -> SDoc
- data BlankSrcSpan
  - = BlankSrcSpan
  - | BlankSrcSpanFile
  - | NoBlankSrcSpan
- data BlankEpAnnotations
  - = BlankEpAnnotations
  - | NoBlankEpAnnotations

# Dumping ASTs

showAstData :: Data a => BlankSrcSpan -> BlankEpAnnotations -> a -> SDoc #

Show a GHC syntax tree. This parameterised because it is also used for comparing ASTs in ppr roundtripping tests, where the SrcSpan's are blanked out, to avoid comparing locations, only structure

data BlankSrcSpan #

Constructors

BlankSrcSpan |
BlankSrcSpanFile |
NoBlankSrcSpan |

#### Instances

Instances details

Show BlankSrcSpan # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods showsPrec :: Int -> BlankSrcSpan -> ShowS show :: BlankSrcSpan -> String showList :: [BlankSrcSpan] -> ShowS
Eq BlankSrcSpan # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods (==) :: BlankSrcSpan -> BlankSrcSpan -> Bool (/=) :: BlankSrcSpan -> BlankSrcSpan -> Bool

data BlankEpAnnotations #

Constructors

BlankEpAnnotations |
NoBlankEpAnnotations |

#### Instances

Instances details

Show BlankEpAnnotations # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods showsPrec :: Int -> BlankEpAnnotations -> ShowS show :: BlankEpAnnotations -> String showList :: [BlankEpAnnotations] -> ShowS
Eq BlankEpAnnotations # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods (==) :: BlankEpAnnotations -> BlankEpAnnotations -> Bool (/=) :: BlankEpAnnotations -> BlankEpAnnotations -> Bool